> For the complete documentation index, see [llms.txt](https://docs.decisionrules.io/doc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decisionrules.io/doc/v1/other/event-timeline.md).

# Event timeline

#### The event timeline is a widget that enables users to see what was changed, when it was changed and who changed it.&#x20;

![](https://content.gitbook.com/content/dv9UprVu3KjO5la255ws/blobs/ndY34wTWNwDqvSrh4W1k/event-timeline.png)

{% hint style="success" %}
Some of the events are clickable. If you hover over the event text and the text gets underlined, it means that you can click on it and it will redirect you directly to what was changed.
{% endhint %}

### On space

#### The event timeline widget can be found in the dashboard. These events include all the events that happened on the given space. Such events are any changes regarding decision tables, scripting rules and rule flows. Also any changes in the API KEYS section or editing of space are going to be logged here.

![](https://content.gitbook.com/content/dv9UprVu3KjO5la255ws/blobs/WnlZBMZA79OHZgRR0Z2I/timeline-space.png)

### On rule

#### The event timeline widget is also available on a specific version of a rule. The only events logged here at the moment are RULE\_EDITED and RULE\_FORKED.

![](https://content.gitbook.com/content/dv9UprVu3KjO5la255ws/blobs/2TKQaHe5kWhA7HT7C6ZZ/timeline-rule.png)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.decisionrules.io/doc/v1/other/event-timeline.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
